# filter out bogus auto-require
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^typelib\\(WebKit

%define uname   PyChess

Name:           pychess
Version:        1.0.3
Release:        %mkrel 2
Summary:        Chess game for Linux
Group:          Games/Boards
License:        GPLv3
URL:            https://pychess.github.io/
Source0:        https://github.com/pychess/pychess/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-cairo
BuildRequires:  python3-cairo-devel
BuildRequires:  python3-gobject3
BuildRequires:  python3-gobject3-devel
BuildRequires:  python3-pexpect
BuildRequires:  python3-psutil
BuildRequires:  python3-sqlalchemy
BuildRequires:  lib64rsvg2-devel

Requires:		python3
Requires:		adwaita-icon-theme
Requires:       gtksourceview3
Requires:       lib64gtksourceview3.0_1
Requires:       python3-cairo
Requires:       python3-gobject3
Requires:       python3-pexpect
Requires:       python3-psutil
Requires:       python3-sqlalchemy
Requires:		python3-websockets

%description
PyChess is a GTK+ chess game for Linux. It is designed to at the same time
be easy to use, beautiful to look at, and provide advanced functions for
advanced players.


%prep
%setup -qn %{uname}-%{version}
%apply_patches

chmod -x ARTISTS AUTHORS DOCUMENTERS TRANSLATORS

%build
%py3_build

%install
%py3_install

desktop-file-install --vendor="" \
        --add-category="X-MandrivaLinux-MoreApplications-Games-Boards" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/%name.desktop


%find_lang %{name}

rm -rf %{buildroot}%{_datadir}/menu/%{name}

%files -f %{name}.lang
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{uname}-%{version}-py*.egg-info
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gtksourceview-3.0/language-specs/pgn.lang
%{_datadir}/pixmaps/%{name}.*
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Mar 12 2022 TerryN <terryn94 at gmail.com> 1.0.3-2pclos2022
- rebuild for python 3.10

* Sun Jul 04 2021 tex - 1.0.3-1pclos2021
- new version
